/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/include/drivers/wintel32/video/smpeg/smpeg_videomanager.hpp

*/

#ifndef SGX_SMPEG_VIDEOMANAGER_HPP
#define SGX_SMPEG_VIDEOMANAGER_HPP	1

class CVideoFormatManager_SMPEG : public CVideoFormatManager {
public:
	CVideoFormatManager_SMPEG();
	virtual ~CVideoFormatManager_SMPEG();

	static CVideoFormatManager *create();
	static CVideoFormatManager *get();

	virtual CVideo *createVideo(const sgxString &name, const CVideo::CMovieParameters &params);

private:
	tBOOL	m_bValid;
};

#endif /* SGX_SMPEG_VIDEOMANAGER_HPP */